comment re-create ssp1 from 54 mo extract;


options ls=120 nocenter nofmterr;

libname ssp '/srv/accounts/fac7/card/hyslop/54mo/';
libname tmp '/tmp/';


data ssp.ssp154;
set tmp.y54c1510 (keep=idresgrp idprov inplus in18m in36mo
    in54mo
    basintdt wagem1-wagem44
    bkid02 bkid34 bkid5 bkid69 bkid1012 bkid1315 bkid1618 btotkds
    oniam1-oniam96 oniapm1-oniapm48 onsum1-onsum65
    emplm1-emplm65 bfemale emplpm1-emplpm12
    wagem1-wagem65 wagepm1-wagepm12 earnm1-earnm65 earnpm1-earnpm12
    emftpm1-emftpm12 emftm1-emftm65 emptpm1-emptpm12 emptm1-emptm65
    bage2325 bage2629 bage3034 bage3539 bagege40
    bnvrmar bygchle4
    blths bgrd79 bgrd1011 bhsdoreq bd8 bd13 bd17
    bf1-bf9 bf24 bg1 bg2 bg3 brealage btotkds bseparat bdivorce bwidowed
    bmomdad biahistr bpaidwor bempyrs bbasewor bbaseloo benrolle
    bftlabor bptlabor blklabor
    bownhome bsubshom bphyspro bemotpro beuropea basian bfirstna bbornher
    bnothere bimmle5 byrshere benglish bfrench kiapm36
    bfndcno bfndcnr
    bexptmar blikewrk bexpnowk);

proc contents;
proc means;

proc freq;
tables idresgrp in18m* in36mo / missing;
