*togauss54r - wide54 into gauss input data set;

options ls=150 nocenter nofmterr;

libname ssp '/tmp/ssp/old';

title1 'ssp 54 data set';


data one;
set ssp.wide54;

proc sort;
by expt;

proc means;
var ia1-ia69 expt te2 ten hsgrad basework exp noexp
     agelt25 premos;

proc freq;
tables ten*expt;

data two;
set one;

ia0=1;

if expt=1 then ten=17;
avg6069=(ia60+ia61+ia62+ia63+ia64+ia65+ia66+ia67+ia68+ia69)/10;

array ia (*) ia1-ia69;
sumia=0;
do j=1 to 69;
sumia=sumia+ia(j);
end;
all69=(sumia=69);
control=(expt=0);


file "/accounts/projects/card/fac7/card/hyslop/54mo/in54r.dat" ;
put ia0  1.  +1
    ia0  1.  +1
    ia1  1.  +1
    ia2  1.  +1
    ia3  1.  +1
    ia4  1.  +1
    ia5  1.  +1
    ia6  1.  +1
    ia7  1.  +1
    ia8  1.  +1
    ia9  1.  +1
    ia10 1.  +1
    ia11 1.  +1
    ia12 1.  +1
    ia13 1.  +1
    ia14 1.  +1
    ia15 1.  +1
    ia16 1.  +1
    ia17 1.  +1
    ia18 1.  +1
    ia19 1.  +1
    ia20 1.  +1
    ia21 1.  +1
    ia22 1.  +1
    ia23 1.  +1
    ia24 1.  +1
    ia25 1.  +1
    ia26 1.  +1
    ia27 1.  +1
    ia28 1.  +1
    ia29 1.  +1
    ia30 1.  +1
    ia31 1.  +1
    ia32 1.  +1
    ia33 1.  +1
    ia34 1.  +1
    ia35 1.  +1
    ia36 1.  +1
    ia37 1.  +1
    ia38 1.  +1
    ia39 1.  +1
    ia40 1.  +1
    ia41 1.  +1
    ia42 1.  +1
    ia43 1.  +1
    ia44 1.  +1
    ia45 1.  +1
    ia46 1.  +1
    ia47 1.  +1
    ia48 1.  +1
    ia49 1.  +1
    ia50 1.  +1
    ia51 1.  +1
    ia52 1.  +1
    ia53 1.  +1
    ia54 1.  +1
    ia55 1.  +1
    ia56 1.  +1
    ia57 1.  +1
    ia58 1.  +1
    ia59 1.  +1
    ia60 1.  +1
    ia61 1.  +1
    ia62 1.  +1
    ia63 1.  +1
    ia64 1.  +1
    ia65 1.  +1
    ia66 1.  +1
    ia67 1.  +1
    ia68 1.  +1
    ia69 1.  +1
    expt 1.  +1
    ten  2.  +1
    all69 1. +1
    hsgrad     1. +1
    basework   1. +1
    exp        3. +1
    noexp      1. +1
    agelt25    1. +1
    premos     3. +1
    ;

proc freq;
tables ten*expt  all69*expt;

proc corr;
where (expt=2);
var ten avg6069;

proc summary data=two;
where (expt=2);
class ten;
var basework hsgrad ia1-ia16 avg6069;
output out=s
mean=;

proc print data=s;
var ten _freq_ basework ia1-ia16 avg6069;
format ten basework ia1-ia16 avg6069  6.4;

proc reg data=s;
where (ten ne .);
model avg6069=ten;

proc reg data=s;
where (ten ne .);
model avg6069=ten;
weight _freq_;
