*newsim - based on fig910/gof_j6;
*sim of model in m54zrevb;

options ls=90 nocenter;
libname here '.';



***control group;

data one;
do i=1 to 56620;

s=exp( .3373 /2);
a=s*.84;
yl1=1;
yl2=1;
ten=.;
el=0;
elig=0;

array ia (*) ia1-ia69;

do t=1 to 69;


tr=-1.6097- .5167*t/10+2.2854*t*t/1000-5.5260*t*t*t/100000
   + 4.0811*t*t*t*t/10000000 +.2970*a*t/10
  -.3278*a*t*t/1000;




dt=-2.2204 +.1826*(t-1)/10 +.5460/( (t=1)+(t-1) );
v=rannor(88221);
arg2=dt- .2873  *a;

if el=0 and (v<=arg2) and (2<=t<=15) then do;
 elig=1;
 ten=t;
end;
else if el=0 then elig=0;
else if el=1 then elig=1;

if t=1 then treat=0;

else if elig=0 and (t>=2) and (t<=15) then do;
  if yl1=1 then treat=0;
  else if yl1=0 then treat=0;
  end;
else if elig=0 and (t>=16) then treat=0;

else if elig=1 and (t>=ten) and (t<=(ten+2)) then do;
  if yl1=1 then treat=-3.1016-.6148*a;
  else if yl1=0 then treat=-1.7454-.2173*a;
  end;

else if elig=1 and (t>=(ten+3)) and (t<=(ten+35)) then do;
  if yl1=1 then treat=-1.1148-.0655*a;
  else if yl1=0 then treat=-0.7155-.3516*a;
  end;


else if elig=1 and (t>=(ten+36)) then treat=0;

/*reset to no treatment effect*/
treat=0;


g1=4.6913-1.1189*a;
g2=1.8370-.4029*a;
g12=-.823722+1.0943*a;


arg=yl1*g1 +yl2*g2 +yl1*yl2*g12  +a+tr +treat;

cut=exp(arg)/(1+exp(arg));
u=ranuni(5644441);
if u<cut then ia(t)=1;
 else ia(t)=0;

yl1=ia(t);
if t>=2 then yl2=ia(t-1);
el=elig;

end;
output;
keep i ia1-ia69 ten elig;
end;


proc means;
title2 'controls - mean IA  -- .8 quantile';
var elig ia1-ia69;



***redo for programs;

data one;
do i=1 to 56620;

s=exp( .3373 /2);
a=s*.84;
yl1=1;
yl2=1;
ten=.;
el=0;
elig=0;

array ia (*) ia1-ia69;

do t=1 to 69;


tr=-1.6097- .5167*t/10+2.2854*t*t/1000-5.5260*t*t*t/100000
   + 4.0811*t*t*t*t/10000000 +.2970*a*t/10
  -.3278*a*t*t/1000;




dt=-2.2204 +.1826*(t-1)/10 +.5460/( (t=1)+(t-1) );
v=rannor(88221);
arg2=dt- .2873  *a;

if el=0 and (v<=arg2) and (2<=t<=15) then do;
 elig=1;
 ten=t;
end;
else if el=0 then elig=0;
else if el=1 then elig=1;

if t=1 then treat=0;

else if elig=0 and (t>=2) and (t<=15) then do;
  if yl1=1 then treat=0;
  else if yl1=0 then treat=0;
  end;
else if elig=0 and (t>=16) then treat=0;

else if elig=1 and (t>=ten) and (t<=(ten+2)) then do;
  if yl1=1 then treat=-3.1016-.6148*a;
  else if yl1=0 then treat=-1.7454-.2173*a;
  end;

else if elig=1 and (t>=(ten+3)) and (t<=(ten+35)) then do;
  if yl1=1 then treat=-1.1148-.0655*a;
  else if yl1=0 then treat=-0.7155-.3516*a;
  end;


else if elig=1 and (t>=(ten+36)) then treat=0;


g1=4.6913-1.1189*a;
g2=1.8370-.4029*a;
g12=-.823722+1.0943*a;


arg=yl1*g1 +yl2*g2 +yl1*yl2*g12  +a+tr +treat;

cut=exp(arg)/(1+exp(arg));
u=ranuni(5644441);
if u<cut then ia(t)=1;
 else ia(t)=0;

yl1=ia(t);
if t>=2 then yl2=ia(t-1);
el=elig;

end;
output;
keep i ia1-ia69 ten elig;
end;


proc means;
title2 'programs - mean IA .8 quantile';
var elig ia1-ia69;



***control group;

data one;
do i=1 to 56620;

s=exp( .3373 /2);
a=s*(-.84);
yl1=1;
yl2=1;
ten=.;
el=0;
elig=0;

array ia (*) ia1-ia69;

do t=1 to 69;


tr=-1.6097- .5167*t/10+2.2854*t*t/1000-5.5260*t*t*t/100000
   + 4.0811*t*t*t*t/10000000 +.2970*a*t/10
  -.3278*a*t*t/1000;




dt=-2.2204 +.1826*(t-1)/10 +.5460/( (t=1)+(t-1) );
v=rannor(88221);
arg2=dt- .2873  *a;

if el=0 and (v<=arg2) and (2<=t<=15) then do;
 elig=1;
 ten=t;
end;
else if el=0 then elig=0;
else if el=1 then elig=1;

if t=1 then treat=0;

else if elig=0 and (t>=2) and (t<=15) then do;
  if yl1=1 then treat=0;
  else if yl1=0 then treat=0;
  end;
else if elig=0 and (t>=16) then treat=0;

else if elig=1 and (t>=ten) and (t<=(ten+2)) then do;
  if yl1=1 then treat=-3.1016-.6148*a;
  else if yl1=0 then treat=-1.7454-.2173*a;
  end;

else if elig=1 and (t>=(ten+3)) and (t<=(ten+35)) then do;
  if yl1=1 then treat=-1.1148-.0655*a;
  else if yl1=0 then treat=-0.7155-.3516*a;
  end;


else if elig=1 and (t>=(ten+36)) then treat=0;

/*reset to no treatment effect*/
treat=0;


g1=4.6913-1.1189*a;
g2=1.8370-.4029*a;
g12=-.823722+1.0943*a;


arg=yl1*g1 +yl2*g2 +yl1*yl2*g12  +a+tr +treat;

cut=exp(arg)/(1+exp(arg));
u=ranuni(5644441);
if u<cut then ia(t)=1;
 else ia(t)=0;

yl1=ia(t);
if t>=2 then yl2=ia(t-1);
el=elig;

end;
output;
keep i ia1-ia69 ten elig;
end;


proc means;
title2 'controls - mean IA  -- .2 quantile';
var elig ia1-ia69;



***redo for programs;

data one;
do i=1 to 56620;

s=exp( .3373 /2);
a=s*(-.84);
yl1=1;
yl2=1;
ten=.;
el=0;
elig=0;

array ia (*) ia1-ia69;

do t=1 to 69;


tr=-1.6097- .5167*t/10+2.2854*t*t/1000-5.5260*t*t*t/100000
   + 4.0811*t*t*t*t/10000000 +.2970*a*t/10
  -.3278*a*t*t/1000;




dt=-2.2204 +.1826*(t-1)/10 +.5460/( (t=1)+(t-1) );
v=rannor(88221);
arg2=dt- .2873  *a;

if el=0 and (v<=arg2) and (2<=t<=15) then do;
 elig=1;
 ten=t;
end;
else if el=0 then elig=0;
else if el=1 then elig=1;

if t=1 then treat=0;

else if elig=0 and (t>=2) and (t<=15) then do;
  if yl1=1 then treat=0;
  else if yl1=0 then treat=0;
  end;
else if elig=0 and (t>=16) then treat=0;

else if elig=1 and (t>=ten) and (t<=(ten+2)) then do;
  if yl1=1 then treat=-3.1016-.6148*a;
  else if yl1=0 then treat=-1.7454-.2173*a;
  end;

else if elig=1 and (t>=(ten+3)) and (t<=(ten+35)) then do;
  if yl1=1 then treat=-1.1148-.0655*a;
  else if yl1=0 then treat=-0.7155-.3516*a;
  end;


else if elig=1 and (t>=(ten+36)) then treat=0;


g1=4.6913-1.1189*a;
g2=1.8370-.4029*a;
g12=-.823722+1.0943*a;


arg=yl1*g1 +yl2*g2 +yl1*yl2*g12  +a+tr +treat;

cut=exp(arg)/(1+exp(arg));
u=ranuni(5644441);
if u<cut then ia(t)=1;
 else ia(t)=0;

yl1=ia(t);
if t>=2 then yl2=ia(t-1);
el=elig;

end;
output;
keep i ia1-ia69 ten elig;
end;


proc means;
title2 'programs - mean IA .2 quantile';
var elig ia1-ia69;

