*gof_c1.sas;
*sim of model in l54step1d;

options ls=90 nocenter;
libname here '.';

data one;


do i=1 to 27860;

s=exp(.994798/2);
a=s*rannor(7722117);
yl1=1;
yl2=1;

array ia (*) ia1-ia69;

do t=1 to 69;

tr=.0454136-1.304775*t/10+3.9473*t*t/1000-6.4674*t*t*t/100000
   + 3.77504*t*t*t*t/10000000;


arg=yl1*5.2179+a+tr;

cut=exp(arg)/(1+exp(arg));
u=ranuni(5522771);
if u<cut then ia(t)=1;
 else ia(t)=0;

yl1=ia(t);
end;
output;
keep i ia1-ia69;
end;
proc means;
var ia1-ia69;

data two;
set one;

ia0=1;
array ia (*) ia0 ia1-ia69;

sum=0;
ntrans=0;

do j=2 to 70;
sum=sum+ia(j);
if (ia(j) ne ia(j-1)) then ntrans=ntrans+1;
end;


if sum<=2 then sc='a. 0-2   ';
else if sum<=8 then sc='b. 3-8';
else if sum<=14 then sc='c. 9-14';
else if sum<=20 then sc='d. 15-20';
else if sum<=26 then sc='e. 21-26';
else if sum<=32 then sc='f. 27-32';
else if sum<=38 then sc='g. 33-38';
else if sum<=44 then sc='h. 39-44' ;
else if sum<=50 then sc='i. 45-50';
else if sum<=56 then sc='j. 51-56';
else if sum<=62 then sc='k. 57-62';
else if sum<=67 then sc='l. 63-67';
else if sum=68 then sc='m. 68';
else if sum=69 then sc='n. 69';
else sc='screwup';

if ntrans<=2 then nt=ntrans;
else if ntrans>=3 and mod(ntrans,2)=1 then nt=3;
else if ntrans>=4 and mod(ntrans,2) ne 1 then nt=4;
else nt=9;
c=1;

proc freq;
tables sc*nt;

proc summary;
class sc nt;
var c;
output out=here.gof_c1
sum(c)=nfit;

proc print data=here.gof_c1;
var sc nt nfit;

data act;
set here.gof_act;
if control=1 and sc ne ' ' and nt ne .;
nact=n;
drop n;

proc sort; by nt sc;

data fit;
set here.gof_c1;
if sc ne ' ' and nt ne .;

nfit=nfit/10;
proc sort; by nt sc;

data all;
merge act fit; by nt sc;

retain gof;

if nact=. then nact=0;
dev= (nact-nfit)**2/nfit ;
gof+dev;

proc print;
var nt sc nact nfit dev gof;

proc means n mean sum;
var dev;
