options ls=120 nocenter nofmterr;

libname ssp '/tmp/old';

data one;
set ssp.wide54r;

control=(expt=0);

array ia (*) ia1-ia69;

do j=1 to 69;
 month=j;
 welf=ia(j);
 keep month control hsgrad welf;
 output;
end;

proc summary;
class month control hsgrad;
var welf;
output out=summ1
mean=
stderr(welf)=std;

data s1;
set summ1;
if month ne . and control=1 and hsgrad=.;
w_c_all=welf;
n_c_all=_freq_;
keep month w_c_all n_c_all;

data s2;
set summ1;
if month ne . and control=0 and hsgrad=.;
w_t_all=welf;
n_t_all=_freq_;
keep month w_t_all n_t_all;


data s3;
set summ1;
if month ne . and control=1 and hsgrad=0;
w_c_dr =welf;
n_c_dr =_freq_;
keep month w_c_dr  n_c_dr ;

data s4;
set summ1;
if month ne . and control=0 and hsgrad=0;
w_t_dr =welf;
n_t_dr =_freq_;
keep month w_t_dr  n_t_dr ;


data s5;
set summ1;
if month ne . and control=1 and hsgrad=1;
w_c_gr =welf;
n_c_gr =_freq_;
keep month w_c_gr  n_c_gr ;

data s6;
set summ1;
if month ne . and control=0 and hsgrad=1;
w_t_gr =welf;
n_t_gr =_freq_;
keep month w_t_gr  n_t_gr ;


proc sort data=s1; by month;
proc sort data=s2; by month;
proc sort data=s3; by month;
proc sort data=s4; by month;
proc sort data=s5; by month;
proc sort data=s6; by month;

data all;
merge s1 s2 s3 s4 s5 s6; by month;

tr_all=w_t_all-w_c_all;
tr_dr =w_t_dr -w_c_dr ;
tr_gr =w_t_gr -w_c_gr ;

proc means;

proc corr;
var tr_all tr_dr tr_gr;

proc print;
var month  tr_all tr_dr tr_gr;
format tr_all tr_dr tr_gr  7.4;
